API ReferenceBooking links

List booking links

List all booking links for an account.

GET
/v1/booking_links

Authorization

authorization
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number

Range1 <= value
page_size?integer

Number of items per page

Range1 <= value
service_ids?string

Filter by service ID(s). Accepts a single ID or comma-delimited list.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/booking_links"
{  "data": [    {      "client": null,      "created_at": "2017-09-12T12:34:55Z",      "expires_at": "2017-10-01T00:00:00Z",      "id": "bl_d025a96ac0c6d025a96ac0c6",      "locked_fields": [        "provider_id"      ],      "max_uses": 5,      "metadata": {        "campaign": "spring"      },      "name": "VIP onboarding",      "object": "booking_link",      "providers": [        {          "created_at": "2017-09-12T12:34:55Z",          "display_name": "John Smith",          "email": "john@example.com",          "first_name": "John",          "id": "prov_d025a96ac0c6",          "last_name": "Smith",          "metadata": {            "external_id": "123"          },          "object": "provider",          "time_zone": "America/New_York",          "updated_at": "2017-09-13T10:11:12Z"        }      ],      "service_id": "srv_d025a96ac0c6",      "status": "active",      "updated_at": "2017-09-13T10:11:12Z",      "url": "https://example.savvycal.com/c/book/bl_d025a96ac0c6d025a96ac0c6",      "uses_count": 1,      "uses_remaining": 4    }  ],  "meta": {    "current_page": 1,    "page_size": 10,    "total_count": 50,    "total_pages": 5  }}